.\" file MASS/Null.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN Null
.TL
Null Spaces of Matrices
.DN
Given a matrix, `M', find a matrix `N' giving a basis for the
null space.  That is `t(N) %*% M'
is the zero and `N' has the maximum number of linearly
independent columns.
.CS
Null(M)
.RA
.AG M
Input matrix.  A vector is coerced to a 1-column matrix.
.RT
The matrix `N' with the basis for the null space, or an empty
vector if the matrix `M' is square and of maximal rank.
.SH REFERENCE
Venables & Ripley, Chapter 2.
.SA
`qr', `qr.Q'
.EX
# The function is currently defined as
function(M)
{
	tmp <- qr(M)
	set <- if(tmp$rank == 0) 1:ncol(M) else  - (1:tmp$rank)
	qr.Q(tmp, complete = T)[, set, drop = F]
}
.KW algebra
.WR
