.\" file MASS/birthwt.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN birthwt
.TL
Risk Factors Associated with Low Infant Birth Weight
.SH SUMMARY
The `birthwt' data frame has 189 rows and 10 columns.
The data were collected at Baystate Medical Center, Springfield, Mass
during 1986.
.SH "DATA DESCRIPTION"
This data frame contains the following columns:
.AG low
indicator of birth weight less than 2.5kg
.AG age
mother's age in years
.AG lwt
mother's weight in pounds at last menstrual period
.AG race
mother's race (`1' = white, `2' = black, `3' = other)
.AG smoke
smoking status during pregnancy
.AG ptl
number of previous premature labours
.AG ht
history of hypertension
.AG ui
presence of uterine irritability
.AG ftv
number of physician visits during the first trimester
.AG bwt
birth weight in grams
.SH SOURCE
Hosmer, D.W. and Lemeshow, S. (1989)
.ul
Applied Logistic Regression.
New York: Wiley
.EX
attach(birthwt)
race <- factor(race, labels=c("white", "black", "other"))
ptd <- factor(ptl > 0)
ftv <- factor(ftv)
levels(ftv)[-(1:2)] <- "2+"
bwt <- data.frame(low=factor(low), age, lwt, race,
    smoke=(smoke>0), ptd, ht=(ht>0), ui=(ui>0), ftv)
detach("birthwt")
birthwt.glm <- glm(low ~ ., binomial, bwt)
.KW sysdata
.WR
