.BG
.FN contr.sdif
.TL
Successive Differences contrast coding
.DN
A coding for unordered factors based on successive differences.
.CS
contr.sdif(n, contrasts = T)
.RA
.AG n
The number of levels required.
.OA
.AG contrasts
Should there be `n - 1' columns orthogonal to the mean (the default)
or `n' columns spanning the space.
.RT
If `contrasts is' `TRUE', a matrix with `n' rows and `n - 1' columns,
and the `n' by `n' identity matrix if `contrasts' is `FALSE'.
.DT
The contrast coefficients are chosen so that the coded coefficients
in a one-way layout are the differences between the means of the
second and first levels, the third and second levels, and so on.
.SH REFERENCES
Venables, W. N. and Ripley, B. D. (1999)
.ul
Modern Applied Statistics with S-PLUS.
Third Edition, Springer, p. 159
.SA
`contr.treatment', `contr.sum', `contr.helmert'
.EX
contr.sdif(6)
.KW models
.WR
