.\" file MASS/galaxies.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN galaxies
.TL
Velocities for 82 Galaxies
.SH SUMMARY
A numeric vector of velocities in km/sec of 82 galaxies from 6
well-separated conic sections of an `unfilled' survey of the Corona
Borealis region.  Multimodality in such surveys is evidence for voids
and superclusters in the far universe.
.SH SOURCE
Roeder, K. (1990) Density estimation with confidence sets exemplified
by superclusters and voids in galaxies.
.ul
Journal of the American Statistical Association
\fB85\fR, 617-624.
.PP
Postman, M., Huchra, J. P. and Geller, M. J. (1986)
Probes of large-scale structures in the Corona Borealis region.
.ul
Astrophysical Journal
\fB92\fR, 1238-1247.
.SH NOTE
There is an 83rd measurement of 5607 km/sec in the Postman 
\fIet al.\fP paper which is omitted in Roeder (1990) and from the 
dataset here.
.EX
gal <- galaxies/1000
c(width.SJ(gal, method="dpi"), width.SJ(gal))
plot(x=c(0, 40), y=c(0, 0.3), type="n", bty="l",
     xlab="velocity of galaxy (1000km/s)", ylab="density")
rug(gal)
lines(density(gal, width=3.25, n=200), lty=1)
lines(density(gal, width=2.56, n=200), lty=3)
.KW sysdata
.WR
