.\" file nnet/multinom.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN multinom
.TL
Fit Multinomial Log-linear Models
.DN
Fits multinomial log-linear models via neural networks.
.CS
multinom(formula, data=sys.parent(), weights, subset, na.action, 
contrasts=NULL, Hess=F, summ=0, censored=F, ...)
.RA
.AG formula
a formula expression as for regression models, of the form 
`response ~ predictors'. The response should be a factor or a matrix with
K columns, which will be interpreted as counts for each of K classes.
A log-linear model is fitted, with coefficients zero for the first
class. An offset can be included: it should be a matrix with K columns
if the response is a matrix with K columns or a factor with K > 2
classes, or a vector for a factor with 2 levels.
See the documentation of `formula' for other details.
.OA
.AG data
an optional data frame in which to interpret the variables occurring
in `formula'.
.AG weights
optional case weights in fitting.
.AG subset
expression saying which subset of the rows of the data should  be used
in the fit. All observations are included by default.
.AG na.action
a function to filter missing data.
.AG contrasts
a list of contrasts to be used for some or all of
the factors appearing as variables in the model formula.
.AG Hess
logical for whether the Hessian (the observed information matrix)
should be returned.
.AG summ
integer; if non-zero summarize by deleting duplicate rows and adjust weights.
Methods 1 and 2 differ in speed (2 uses `C'); method 3 also combines rows
with the same X and different Y, which changes the baseline for the
deviance.
.AG censored
If Y is a matrix with `K > 2' columns, interpret the entries as one
for possible classes, zero for impossible classes, rather than as
counts.
.AG ...
additional arguments for `nnet'
.RT
A `nnet' object with additional structure.
.RC deviance
the residual deviance.
.RC edf
the (effective) number of degrees of freedom used by the model
.RC AIC
the AIC for this fit.
.RC Hessian
(if `Hess' is true).
.SA
`nnet'
.EX
options(contrasts = c("contr.treatment", "contr.poly"))
bwt.mu <- multinom(low ~ ., bwt)
bwt.mu
Call:
multinom(formula = low ~ ., data = bwt)

Coefficients:
 (Intercept)         age         lwt raceblack raceother  
    0.823477 -0.03724311 -0.01565475  1.192371 0.7406606
     smoke      ptd        ht        ui       ftv1     ftv2+ 
  0.7555234 1.343648 1.913213 0.6802007 -0.4363238 0.1789888

Residual Deviance: 195.4755 
AIC: 217.4755 

.KW neural
.KW models
.WR
